$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer-2.0-beta.1.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "4b4b8b88cf7b26b6a8d08786dacb845ce993031abbe0628224fd73ec49ac5c982c35ddc3f71535cd45682eb255d5b617456a7f443c16938fd2bc4cc360515ad5"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer-2.0-beta.1.exe"))

Write-Host "$PackageName registered as $App"